curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/rooms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"floor": "<string>",
"base_rent": "3000000",
"default_deposit": "3000000",
"area_m2": 1,
"note": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/rooms"
payload = {
"name": "<string>",
"floor": "<string>",
"base_rent": "3000000",
"default_deposit": "3000000",
"area_m2": 1,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
floor: '<string>',
base_rent: '3000000',
default_deposit: '3000000',
area_m2: 1,
note: '<string>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/properties/{property_id}/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"has_active_lease": true,
"base_rent": "3000000",
"default_deposit": "3000000",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_url": "<string>",
"sort_order": 123,
"media_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alt_text": "<string>"
}
],
"floor": "<string>",
"area_m2": 123,
"note": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"cover_image": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_url": "<string>",
"sort_order": 123,
"media_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alt_text": "<string>"
},
"meter_reading_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Create property room
Creates a room inside a property and initializes its operational status for leasing workflows.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Property ID
Body
JSON payload used to create property room.
Request payload for create room.
Human-readable name for the resource.
1 - 120Floor label or number where the room is located.
80Default monthly rent amount for the room.
"3000000"
Default deposit amount used when creating leases.
"3000000"
Room area in square meters.
x >= 0Optional note captured by the operator.
1000Response
Created room
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.